package cc.winboll.studio.powerbell.unittest;

import android.os.Bundle;
import android.widget.FrameLayout;
import androidx.appcompat.app.AppCompatActivity;
import cc.winboll.studio.libappbase.GlobalApplication;
import cc.winboll.studio.powerbell.R;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;
import android.nfc.tech.TagTechnology;
import cc.winboll.studio.libappbase.ToastUtils;

/**
 * @Author ZhanGSKen&豆包大模型<zhangsken@qq.com>
 * @Date 2025/11/19 18:04
 * @Describe 单元测试启动主页窗口
 */
public class MainUnitTestActivity extends AppCompatActivity {

    public static final String TAG = "MainUnitTestActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
		// 非调试状态就退出
		if (!GlobalApplication.isDebugging()) {
			finish();
		}
        setContentView(R.layout.activity_mainunittest);
		
		FragmentManager fragmentManager = getSupportFragmentManager();
		FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
		fragmentTransaction.add(R.id.activitymainunittestFrameLayout1, new BackgroundViewTestFragment(), BackgroundViewTestFragment.TAG);
		fragmentTransaction.commit();
		
		ToastUtils.show(String.format("%s onCreate", TAG));
    }

}
